Package org.eclipse.wst.xsl.ui.internal.contentoutline

## org.eclipse.wst.xsl.ui.internal.contentoutline
Class JFaceNodeLabelProvider

    public class JFaceNodeLabelProvider
    extends ColumnLabelProvider

A (column) label provider backed by JFaceNodeAdapters.

## Constructor Summary

`JFaceNodeLabelProvider()`

## Method Summary

`protected IJFaceNodeAdapter` | `getAdapter(java.lang.Object adaptable)` Returns the JFace adapter for the specified object.
`public Image` | `getImage(java.lang.Object element)`
`public java.lang.String` | `getText(java.lang.Object element)`
`public boolean` | `isLabelProperty(java.lang.Object element , java.lang.String property)`

## Constructor Detail

## JFaceNodeLabelProvider

`public JFaceNodeLabelProvider()`

JFaceNodeLabelProvider constructor comment.

## Methods Detail

## getAdapter

`protected IJFaceNodeAdapter getAdapter(java.lang.Object adaptable)`

Returns the JFace adapter for the specified object.

### Parameters

`adaptable` - java.lang.Object The object to get the adapter for

### Returns

`IJFaceNodeAdapter`

## getImage

`public Image getImage(java.lang.Object element)`

### Parameters

`element`

### Returns

`Image`

## getText

`public java.lang.String getText(java.lang.Object element)`

### Parameters

`element`

### Returns

`java.lang.String`

## isLabelProperty

`public boolean isLabelProperty(java.lang.Object element , java.lang.String property)`

### Parameters

`element`

`property`

### Returns

`boolean`